package com.xzzn.ems.domain.vo;

import java.util.List;

/**
 * 综合查询结果
 *
 */
public class GeneralQueryResponse {

    // 站点
    private String siteId;

    // 设备数据
    private List<DevicePointDataList> deviceList;

    // 点位数据类型，1-瞬时值，2-累计值
    private Long dataType;

    // 点位数据图表类型，1-曲线图，2-箱线图
    private Long chartType;

    public GeneralQueryResponse(String siteId, List<DevicePointDataList> deviceList, Long dataType, Long chartType) {
        this.siteId = siteId;
        this.deviceList = deviceList;
        this.dataType = dataType;
        this.chartType = chartType;
    }

    public GeneralQueryResponse() {

    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public List<DevicePointDataList> getDeviceList() {
        return deviceList;
    }

    public void setDeviceList(List<DevicePointDataList> deviceList) {
        this.deviceList = deviceList;
    }

    public Long getDataType() {
        return dataType;
    }

    public void setDataType(Long dataType) {
        this.dataType = dataType;
    }

    public Long getChartType() {
        return chartType;
    }

    public void setChartType(Long chartType) {
        this.chartType = chartType;
    }
}
